> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1contacts



## OpenAPI

````yaml /api-reference/openapi.json post /v1/contacts
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/contacts:
    post:
      tags:
        - Contacts
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactsContactCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ContactsContactCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ContactsContactCreateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    ContactsContactCreateRequest:
      type: object
      properties:
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/ContactsCreateContactDTO'
          nullable: true
      additionalProperties: false
    ContactsCreateContactDTO:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        middleName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        birthday:
          type: string
          format: date-time
          nullable: true
        emails:
          type: array
          items:
            type: string
          nullable: true
        phoneNumbers:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false

````